#ifndef COMBATPARTICLE_H
#define COMBATPARTICLE_H

#include "Entity.h"
#include "Sprite.h"

class CombatParticle : public Entity
{
    public:
        enum CombatParticleType
        {
            COMBAT_SLASH,
            COMBAT_ARROW,
            COMBAT_MAGIC_BALL,
            COMBAT_DEATH_BALL
        };
        enum CombatParticleDir
        {
            COMBAT_UP,
            COMBAT_LEFT,
            COMBAT_RIGHT,
            COMBAT_DOWN
        };
        static const float W;
        static const float H;
        static const float ARROW_SPEED;
        static const float MAGIC_BALL_SPEED;
        static const float DEATH_BALL_SPEED;
        static const unsigned MAGIC_BALL_LIFE;
        static const unsigned DEATH_BALL_LIFE;
        CombatParticle(float x, float y, CombatParticleType pType, sf::Vector2f dir, int dmg);
        virtual ~CombatParticle();

        virtual void step();
        virtual void draw(sf::RenderTarget& window);
        virtual void doCollide(Entity* other);
    private:
        CombatParticleDir findDir(sf::Vector2f& vec);
    private:
        CombatParticleType pType;
        sf::Vector2f dirVec;
        Sprite* sprite;
        int damage;
        unsigned life;
        bool reflected;
};

#endif // COMBATPARTICLE_H
