#ifndef ROOMDATABASE_H
#define ROOMDATABASE_H

#include "toolbox.h"
class Room;

class RoomDatabase
{
public:
        struct RoomSetup
        {
            int roomIndex;
            int rotation; //0 - default. +1 = clockwise 90
            int minDepth;
            int maxDepth;
            RoomSetup(int a, int b, int mind, int maxd):
                roomIndex(a),
                rotation(b),
                minDepth(mind),
                maxDepth(maxd)
            {
            }
        };

        static void initialize();
        static void cleanUp();
        static void getRandomRoomLayout(Room* room, int type);
        static void setDepth(int depth);

        static vector<Room*> rooms;
        static map<int, vector<RoomSetup>> roomSetups;
        static map<int, vector<int>> currSetupIndices;
        static int currDepth;
};

#endif // ROOMDATABASE_H
