#include "Game.h"
#include "RoomDatabase.h"
int main()
{
    srand(time(0));
    int seed = rand();
    //seed = 9741;  //4 way
    //seed = 18401;
    //seed = 25371; //arrow room above
    srand(seed);
    printf("Random Seed is %d\n", seed);
    sf::RenderWindow window(sf::VideoMode(800, 576), "IRONE");
    window.setFramerateLimit(60);
    window.setKeyRepeatEnabled(false);
    ResourceManager::initialize();
    RoomDatabase::initialize();
    Game game(window);
    bool focus = true;
    while (window.isOpen())
    {
        sf::Event event;
        while (window.pollEvent(event))
        {
            if (event.type == sf::Event::Closed)
            {
                window.close();
            }
            else if (event.type == sf::Event::LostFocus)
            {
                focus = false;
            }
            else if(event.type == sf::Event::GainedFocus)
            {
                focus = true;
            }
//            else if(event.type == sf::Event::MouseButtonPressed)
//            {
//                game.click(event.mouseButton.button, event.mouseButton.x, event.mouseButton.y);
//            }
//            else if(event.type == sf::Event::MouseButtonReleased)
//            {
//                game.release(event.mouseButton.button, event.mouseButton.x, event.mouseButton.y);
//            }
//            else if(event.type == sf::Event::Resized)
//            {
//                game.resized();
//            }
        }

        if (focus)
        {
            game.step();
        }

        game.draw();
    }
    RoomDatabase::cleanUp();
    ResourceManager::cleanUp();
    return 0;
}
